> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Craigslist Postings Search

> Search live Craigslist postings in any regional site by keyword, category, area/sub-area/postal/coordinates and 60+ vehicle, motorcycle, boat, housing, job, gig and event filters; returns title, price, date, location, images and category facets. 1 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-craigslist-postings-search
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
paths:
  /functions/v1/run-craigslist-postings-search:
    post:
      tags:
        - E-commerce & Marketplaces
      summary: Craigslist Postings Search
      description: >-
        Search live Craigslist postings in any regional site by keyword,
        category, area/sub-area/postal/coordinates and 60+ vehicle, motorcycle,
        boat, housing, job, gig and event filters; returns title, price, date,
        location, images and category facets. 1 point per returned record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                area:
                  description: Area. e.g. sfbay
                  type: string
                keyword:
                  description: Search term (optional). e.g. bike
                  type: string
                category:
                  description: Category (optional). e.g. sss
                  type: string
                max_items:
                  description: Max items (up to 500)
                  type: integer
                  minimum: 1
                  maximum: 500
                  default: 25
                start_page:
                  description: Starting page
                  type: integer
                  minimum: 1
                  default: 1
                subarea:
                  description: Sub-area. e.g. sfc
                  type: string
                sort:
                  description: >-
                    Sort by. Options: oldest = Oldest, price_asc = Price: low to
                    high, price_desc = Price: high to low, distance = Distance,
                    relevance = Relevance, upcoming = Upcoming
                  type: string
                  enum:
                    - oldest
                    - price_asc
                    - price_desc
                    - distance
                    - relevance
                    - upcoming
                purveyor:
                  description: 'Sold by. Options: all = All, owner = Owner, dealer = Dealer'
                  type: string
                  enum:
                    - all
                    - owner
                    - dealer
                min_price:
                  description: Price (min)
                  type: number
                max_price:
                  description: Price (max)
                  type: number
                condition:
                  description: Condition
                  type: array
                  items:
                    type: string
                    enum:
                      - new
                      - like new
                      - excellent
                      - good
                      - fair
                      - salvage
                language:
                  description: Posting language
                  type: array
                  items:
                    type: string
                    enum:
                      - afrikaans
                      - català
                      - dansk
                      - deutsch
                      - english
                      - español
                      - suomi
                      - français
                      - italiano
                      - nederlands
                      - norsk
                      - português
                      - svenska
                      - filipino
                      - türkçe
                      - 中文
                      - العربية
                      - 日本語
                      - 한국말
                      - русский
                      - tiếng việt
                free:
                  description: Free items only
                  type: boolean
                titles_only:
                  description: Search titles only
                  type: boolean
                has_image:
                  description: Has image
                  type: boolean
                posted_today:
                  description: Posted today
                  type: boolean
                hide_duplicates:
                  description: Hide duplicates
                  type: boolean
                crypto_ok:
                  description: Crypto accepted
                  type: boolean
                delivery_available:
                  description: Delivery available
                  type: boolean
                postal:
                  description: Postal code. e.g. 94103
                  type: string
                lat:
                  description: Latitude
                  type: number
                lon:
                  description: Longitude
                  type: number
                radius:
                  description: Radius (miles)
                  type: number
                make_model:
                  description: Make and model. e.g. honda civic
                  type: string
                min_auto_year:
                  description: Model year (min)
                  type: number
                max_auto_year:
                  description: Model year (max)
                  type: number
                min_auto_miles:
                  description: Odometer (min)
                  type: number
                max_auto_miles:
                  description: Odometer (max)
                  type: number
                min_monthly_payment:
                  description: Monthly payment (min)
                  type: number
                max_monthly_payment:
                  description: Monthly payment (max)
                  type: number
                transmission:
                  description: Transmission
                  type: array
                  items:
                    type: string
                    enum:
                      - manual
                      - automatic
                      - other
                drivetrain:
                  description: Drivetrain
                  type: array
                  items:
                    type: string
                    enum:
                      - fwd
                      - rwd
                      - 4wd
                fuel_type:
                  description: Fuel
                  type: array
                  items:
                    type: string
                    enum:
                      - gas
                      - diesel
                      - hybrid
                      - electric
                      - other
                title_status:
                  description: Title status
                  type: array
                  items:
                    type: string
                    enum:
                      - clean
                      - salvage
                      - rebuilt
                      - parts only
                      - lien
                      - missing
                body_type:
                  description: Body type
                  type: array
                  items:
                    type: string
                    enum:
                      - bus
                      - convertible
                      - coupe
                      - hatchback
                      - minivan
                      - offroad
                      - pickup
                      - sedan
                      - truck
                      - SUV
                      - wagon
                      - van
                      - other
                paint:
                  description: Paint color
                  type: array
                  items:
                    type: string
                    enum:
                      - black
                      - blue
                      - brown
                      - green
                      - grey
                      - orange
                      - purple
                      - red
                      - silver
                      - white
                      - yellow
                      - custom
                cylinders:
                  description: Cylinders
                  type: array
                  items:
                    type: string
                    enum:
                      - 3 cylinders
                      - 4 cylinders
                      - 5 cylinders
                      - 6 cylinders
                      - 8 cylinders
                      - 10 cylinders
                      - 12 cylinders
                      - other
                min_engine_displacement_cc:
                  description: Engine displacement, cc (min)
                  type: number
                max_engine_displacement_cc:
                  description: Engine displacement, cc (max)
                  type: number
                street_legal:
                  description: Street legal only
                  type: boolean
                motorcycle_motor:
                  description: Motor
                  type: array
                  items:
                    type: string
                    enum:
                      - gas
                      - electric
                      - other
                motorcycle_type:
                  description: Type
                  type: array
                  items:
                    type: string
                    enum:
                      - adventure
                      - bobber
                      - cafe racer
                      - chopper
                      - cruiser
                      - dirtbike
                      - dual-sport
                      - scooter/moped
                      - sport bike
                      - sport touring
                      - standard
                      - touring
                      - trike
                      - other
                min_boat_length:
                  description: Length overall (min)
                  type: number
                max_boat_length:
                  description: Length overall (max)
                  type: number
                min_year_manufactured:
                  description: Year manufactured (min)
                  type: number
                max_year_manufactured:
                  description: Year manufactured (max)
                  type: number
                boat_propulsion:
                  description: Propulsion
                  type: array
                  items:
                    type: string
                    enum:
                      - sail
                      - power
                      - human
                boat_type:
                  description: Boat type
                  type: array
                  items:
                    type: string
                    enum:
                      - other
                      - commercial boat
                      - houseboat
                      - kayak/canoe/SUP
                      - luxury/classic yacht
                      - personal watercraft (jet ski)
                      - pontoon boat
                      - powerboat
                      - rowboat
                      - rowing shell
                      - sailboat
                      - ski boat
                      - small outboard/fishing
                      - trawler
                min_bedrooms:
                  description: Bedrooms (min)
                  type: number
                max_bedrooms:
                  description: Bedrooms (max)
                  type: number
                min_bathrooms:
                  description: Bathrooms (min)
                  type: number
                max_bathrooms:
                  description: Bathrooms (max)
                  type: number
                min_sqft:
                  description: Area, sq ft (min)
                  type: number
                max_sqft:
                  description: Area, sq ft (max)
                  type: number
                availability:
                  description: >-
                    Move-in availability. Options: all = All dates,
                    within_30_days = Within 30 days, beyond_30_days = Beyond 30
                    days
                  type: string
                  enum:
                    - all
                    - within_30_days
                    - beyond_30_days
                rent_period:
                  description: Rent period
                  type: array
                  items:
                    type: string
                    enum:
                      - daily
                      - weekly
                      - monthly
                housing_type:
                  description: Housing type
                  type: array
                  items:
                    type: string
                    enum:
                      - apartment
                      - condo
                      - cottage/cabin
                      - duplex
                      - flat
                      - house
                      - in-law
                      - loft
                      - townhouse
                      - manufactured
                      - assisted living
                      - land
                laundry:
                  description: Laundry
                  type: array
                  items:
                    type: string
                    enum:
                      - w/d in unit
                      - w/d hookups
                      - laundry in bldg
                      - laundry on site
                      - no laundry on site
                parking:
                  description: Parking
                  type: array
                  items:
                    type: string
                    enum:
                      - carport
                      - attached garage
                      - detached garage
                      - off-street parking
                      - street parking
                      - valet parking
                      - no parking
                housing_features:
                  description: Required features
                  type: array
                  items:
                    type: string
                    enum:
                      - cats ok
                      - dogs ok
                      - furnished
                      - no smoking
                      - wheelchair accessible
                      - air conditioning
                      - EV charging
                      - no application fee
                      - no broker fee
                employment_type:
                  description: Employment type
                  type: array
                  items:
                    type: string
                    enum:
                      - full-time
                      - part-time
                      - contract
                      - employee's choice
                is_internship:
                  description: Internships only
                  type: boolean
                is_nonprofit:
                  description: Non-profit employers only
                  type: boolean
                is_telecommuting:
                  description: Telecommuting allowed
                  type: boolean
                is_paid:
                  description: 'Gig pay. Options: all = All, paid = Paid, unpaid = Unpaid'
                  type: string
                  enum:
                    - all
                    - paid
                    - unpaid
                lost_or_found:
                  description: Lost or found
                  type: array
                  items:
                    type: string
                    enum:
                      - lost
                      - found
                event_types:
                  description: Event types
                  type: array
                  items:
                    type: string
                    enum:
                      - food/drink
                      - art/film
                      - career
                      - tech
                      - free
                      - fitness/health
                      - competition
                      - fest/fair
                      - kid friendly
                      - singles
                      - charitable
                      - outdoor
                      - dance
                      - literary
                      - sale
                      - sustainability
                      - music
              required:
                - area
            example:
              area: sfbay
              max_items: 2
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  area:
                    type: string
                  category:
                    type: string
                  subarea: {}
                  keyword: {}
                  sort:
                    type: string
                  max_items:
                    type: integer
                  start_page:
                    type: integer
                  hide_duplicates:
                    type: boolean
                  filters:
                    type: object
                    properties: {}
                  partial:
                    type: boolean
                    description: >-
                      True when the scrape stopped early and returned the
                      records collected so far.
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      total_items:
                        type: integer
                      total_results:
                        type: integer
                      first_item:
                        type: object
                        properties:
                          id:
                            type: string
                          posting_id:
                            type: integer
                          posting_title:
                            type: string
                          alias:
                            type: string
                          url:
                            type: string
                          price:
                            type: integer
                          price_string:
                            type: string
                          currency:
                            type: string
                          monthly_payment_string: {}
                          created_at:
                            type: integer
                          category_id:
                            type: integer
                          category_alias:
                            type: string
                          category:
                            type: string
                          location:
                            type: object
                            properties:
                              area_id:
                                type: integer
                              area_alias:
                                type: string
                              subarea_alias:
                                type: string
                              description:
                                type: string
                              neighborhood: {}
                              lat:
                                type: number
                              lon:
                                type: number
                          image:
                            type: string
                          images:
                            type: array
                            items:
                              type: string
                          image_count:
                            type: integer
                          bedrooms: {}
                          sqft: {}
                          auto_miles:
                            type: integer
                          salary: {}
                          company: {}
                          job_title: {}
                          start_date: {}
                          end_date: {}
                          open_house_dates:
                            type: array
                            items: {}
                          event_dates:
                            type: array
                            items: {}
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            posting_id:
                              type: integer
                            posting_title:
                              type: string
                            alias:
                              type: string
                            url:
                              type: string
                            price:
                              type: integer
                            price_string:
                              type: string
                            currency:
                              type: string
                            monthly_payment_string: {}
                            created_at:
                              type: integer
                            category_id:
                              type: integer
                            category_alias:
                              type: string
                            category:
                              type: string
                            location:
                              type: object
                              properties:
                                area_id:
                                  type: integer
                                area_alias:
                                  type: string
                                subarea_alias:
                                  type: string
                                description:
                                  type: string
                                neighborhood: {}
                                lat:
                                  type: number
                                lon:
                                  type: number
                            image:
                              type: string
                            images:
                              type: array
                              items:
                                type: string
                            image_count:
                              type: integer
                            bedrooms: {}
                            sqft: {}
                            auto_miles:
                              type: integer
                            salary: {}
                            company: {}
                            job_title: {}
                            start_date: {}
                            end_date: {}
                            open_house_dates:
                              type: array
                              items: {}
                            event_dates:
                              type: array
                              items: {}
                      proxy_traffic_bytes:
                        type: integer
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: craigslist_postings_search
                area: sfbay
                category: cta
                subarea: null
                keyword: null
                sort: newest
                max_items: 3
                start_page: 1
                hide_duplicates: false
                filters: {}
                partial: false
                human: |-
                  # Craigslist postings search

                  - **Area:** sfbay
                  - **Category:** cta
                  - **Sort:** newest
                  - **Starting page:** 1
                  - **Max items:** 3
                  - **Total results on Craigslist:** 16232
                  - **Records returned:** 3
                  - **Proxy traffic:** 109.2 KB
                machine:
                  total_items: 3
                  total_results: 16232
                  first_item:
                    id: p9MEft7XQWNXaMZiaHC1dK
                    posting_id: 7975475802
                    posting_title: >-
                      MERCEDES C300 CONVERTIBLE LOW MILE 22000 EXCELLENT
                      CONDITION
                    alias: concord-mercedes-c300-convertible-low
                    url: >-
                      https://www.craigslist.org/view/d/concord-mercedes-c300-convertible-low/p9MEft7XQWNXaMZiaHC1dK
                    price: 17950
                    price_string: $17,950
                    currency: USD
                    monthly_payment_string: null
                    created_at: 1790783149
                    category_id: 145
                    category_alias: cto
                    category: cars & trucks - by owner
                    location:
                      area_id: 1
                      area_alias: sfbay
                      subarea_alias: eby
                      description: east bay area
                      neighborhood: null
                      lat: 37.9504
                      lon: -122.0263
                    image: >-
                      https://images.craigslist.org/00v0v_cCWQniTG8Le_0zS0qU_600x450.jpg
                    images:
                      - >-
                        https://images.craigslist.org/00v0v_cCWQniTG8Le_0zS0qU_600x450.jpg
                      - >-
                        https://images.craigslist.org/00q0q_knMLbLlrtks_0zS0qU_600x450.jpg
                    image_count: 9
                    bedrooms: null
                    sqft: null
                    auto_miles: 22000
                    salary: null
                    company: null
                    job_title: null
                    start_date: null
                    end_date: null
                    open_house_dates: []
                    event_dates: []
                  items:
                    - id: p9MEft7XQWNXaMZiaHC1dK
                      posting_id: 7975475802
                      posting_title: >-
                        MERCEDES C300 CONVERTIBLE LOW MILE 22000 EXCELLENT
                        CONDITION
                      alias: concord-mercedes-c300-convertible-low
                      url: >-
                        https://www.craigslist.org/view/d/concord-mercedes-c300-convertible-low/p9MEft7XQWNXaMZiaHC1dK
                      price: 17950
                      price_string: $17,950
                      currency: USD
                      monthly_payment_string: null
                      created_at: 1790783149
                      category_id: 145
                      category_alias: cto
                      category: cars & trucks - by owner
                      location:
                        area_id: 1
                        area_alias: sfbay
                        subarea_alias: eby
                        description: east bay area
                        neighborhood: null
                        lat: 37.9504
                        lon: -122.0263
                      image: >-
                        https://images.craigslist.org/00v0v_cCWQniTG8Le_0zS0qU_600x450.jpg
                      images:
                        - >-
                          https://images.craigslist.org/00v0v_cCWQniTG8Le_0zS0qU_600x450.jpg
                        - >-
                          https://images.craigslist.org/00q0q_knMLbLlrtks_0zS0qU_600x450.jpg
                      image_count: 9
                      bedrooms: null
                      sqft: null
                      auto_miles: 22000
                      salary: null
                      company: null
                      job_title: null
                      start_date: null
                      end_date: null
                      open_house_dates: []
                      event_dates: []
                    - id: hq3dzKdbB1Pp3NXnbSzgkR
                      posting_id: 7975475148
                      posting_title: >-
                        2021 MAZDA MIATA GRAND TOURING CONVERTIBLE LOW MILES
                        LOADED
                      alias: san-francisco-2021-mazda-miata-grand
                      url: >-
                        https://www.craigslist.org/view/d/san-francisco-2021-mazda-miata-grand/hq3dzKdbB1Pp3NXnbSzgkR
                      price: 17950
                      price_string: $17,950
                      currency: USD
                      monthly_payment_string: null
                      created_at: 1790783095
                      category_id: 145
                      category_alias: cto
                      category: cars & trucks - by owner
                      location:
                        area_id: 1
                        area_alias: sfbay
                        subarea_alias: eby
                        description: east bay area
                        neighborhood: null
                        lat: 37.7915
                        lon: -122.4018
                      image: >-
                        https://images.craigslist.org/00707_kJm5PP56wTt_0CI0t2_600x450.jpg
                      images:
                        - >-
                          https://images.craigslist.org/00707_kJm5PP56wTt_0CI0t2_600x450.jpg
                        - >-
                          https://images.craigslist.org/00X0X_fQUm4hvWvng_0CI0t2_600x450.jpg
                      image_count: 5
                      bedrooms: null
                      sqft: null
                      auto_miles: 28000
                      salary: null
                      company: null
                      job_title: null
                      start_date: null
                      end_date: null
                      open_house_dates: []
                      event_dates: []
                  proxy_traffic_bytes: 111780
                total_points: 3
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````